dpkg-vendor(1)

NAZWA
dpkg-vendor - odczytuje informację o twórcach dystrybucji

SKŁADNIA
dpkg-vendor [opcja...] polecenie

OPIS
dpkg-vendor jest narzędziem pozwalającym na odczytywanie informacji o twórcach wymienionych w /etc/dpkg/origins. /etc/dpkg/origins/default zawiera informacje dotyczące aktualnego twórcy.

POLECENIA

--is twórca
    Exits with 0 if the current vendor is vendor. Otherwise exits with 1.

--derives-from twórca
    Exits with 0 if the current vendor distribution is a derivative of vendor, otherwise exits with 1. It uses the Parent field to browse all ancestors of the current vendor.

--query pole
    Wyświetla na standardowym wyjściu wartość określonego pola odczytanego z informacji dotyczących aktualnego twórcy.

--help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--vendor twórca
    Przyjmuje, że aktualnym twórcą jest twórca, zamiast określania tego przez zmienną środowiska DEB_VENDOR lub odczyt z /etc/dpkg/origins/default.

ŚRODOWISKO

DEB_VENDOR
    Ustawienie określające aktualnego twórcę. Jeśli nie jest ustawione, aktualny twórca zostanie określony poprzez odczytanie z /etc/dpkg/origins/default.

ZOBACZ TAKŻE
deb-origin(5).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012